Skip to main content
GET
/
v1
/
tasks
/
{task_id}
Get task detail
curl --request GET \
  --url https://api.apiany.ai/v1/tasks/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "task_id": "task_123",
  "model": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "result": {
    "urls": [
      "<string>"
    ],
    "text": "<string>",
    "raw": {}
  },
  "error": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string
required

Response

Task detail.

task_id
string
required
Example:

"task_123"

status
enum<string>
required
Available options:
pending,
processing,
completed,
failed,
expired
model
string
created_at
string<date-time>
completed_at
string<date-time> | null
result
object
error
any | null